﻿using System;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#B3C6D4"));
            Map1.CurrentExtent = new RectangleShape(240000, 5930000, 490000, 5690000);
            Map1.MapUnit = GeographyUnit.Meter;
            Map1.MapTools.OverlaySwitcher.Enabled = true;

            WmsOverlay wmsOverlay1 = new WmsOverlay("WMS1", new Uri("http://isk.geobasis-bb.de/ows/dnm.php"), TileType.SingleTile);
            wmsOverlay1.Parameters.Add("layers", "bg");
            wmsOverlay1.Parameters.Add("Exceptions", "application/vnd.ogc.se_xml");
            wmsOverlay1.Parameters.Add("format", "image/png");
            wmsOverlay1.Parameters.Add("transparent", "true");
            wmsOverlay1.Projection = "EPSG:25833";
            wmsOverlay1.TileType = TileType.MultipleTile;
            wmsOverlay1.IsBaseOverlay = true;
            Map1.CustomOverlays.Add(wmsOverlay1);

            WmsOverlay wmsOverlay2 = new WmsOverlay("WMS2", new Uri("http://isk.geobasis-bb.de/ows/dnm.php"), TileType.SingleTile);
            wmsOverlay2.Parameters.Add("layers", "siedlung,vegetation,gewaesser,transport,strassennamen,ortsnamen,gewaessernamen");
            wmsOverlay2.Parameters.Add("Exceptions", "application/vnd.ogc.se_xml");
            wmsOverlay2.Parameters.Add("format", "image/png");
            wmsOverlay2.Parameters.Add("transparent", "true");
            wmsOverlay2.Projection = "EPSG:25833";
            wmsOverlay2.TileType = TileType.SingleTile;
            wmsOverlay2.IsBaseOverlay = false;
            Map1.CustomOverlays.Add(wmsOverlay2);
        }
    }
}
